Bug 35798 - Suppress of Blank Lines in Label and Envelope printing from Database MAILMERGE
Summary: Suppress of Blank Lines in Label and Envelope printing from Database MAILMERGE
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2011-03-30 07:45 UTC by Alan Reeve
Modified: 2018-05-26 13:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of drop down box showing requirements (107.44 KB, application/vnd.oasis.opendocument.graphics)
2011-04-05 09:06 UTC, Alan Reeve
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Reeve 2011-03-30 07:45:27 UTC
I run two small databases on my LO system from which I print form letters.  Many people in Europe frequently need three address lines in addition to the City (Town) line.  Also, some users may have an optional field for job designation.

When you want to print LABELS or ENVELOPES from your DATABASE which includes blank fields, it is necessary to add Hidden Paragraph or Line suppression codes, the work around involves using EQ "" to stop the "printing" of the empty (blank field)  line(s) and this has to be set up before you can print.

Can a check box to suppress blank lines when printing from databases be added into the pop-up Mail Merge box?  

This addition would make LO much more usable to anybody using its integrated facilities and it would also help those users who are not so confident with adding field codes.
Comment 1 Alan Reeve 2011-04-05 02:40:35 UTC
This enhancement will make LO perform like most other integrated office packages.  Without it, LO is an "Also ran".
Comment 2 Don't use this account, use tml@iki.fi 2011-04-05 02:47:09 UTC
You are fooling yourself if you think setting the importance to "high" is going to make other people come running to implement your pet enhancement.
Comment 3 Alan Reeve 2011-04-05 07:30:40 UTC
(In reply to comment #2)
> You are fooling yourself if you think setting the importance to "high" is going
> to make other people come running to implement your pet enhancement.

Thank you for your thoughts.  Perhaps you can suggest a way of getting the community to give some priority to needed enhancements.  

You may have seen the recent posts regarding persuading the EC to adopt LO.  They will not do so, unless LO creates documents without people having to learn how to insert special codes to do something as simple as not printing blank lines in address labels.  Not all users are computer geeks.
Comment 4 Alan Reeve 2011-04-05 09:06:27 UTC
Created attachment 45275 [details]
Example of drop down box showing requirements

This example is shown because some people may not understand the problem underlying this enhancement.
Comment 5 Björn Michaelsen 2011-12-23 11:52:00 UTC Comment hidden (spam)
Comment 6 blake.duffey 2012-02-04 09:19:42 UTC Comment hidden (me-too)
Comment 7 Joshua 2012-07-27 14:24:54 UTC Comment hidden (me-too)
Comment 8 Alex Thurgood 2015-01-03 17:41:07 UTC Comment hidden (no-value)
Comment 9 Fred Olness 2016-12-22 22:44:10 UTC
I'd like to agree with Alan's comments. Suppressing blank lines in a MailMerge 
is a standard feature in MS Word, and something users encounter frequently. 
As a programmer it took me an hour to get this working, but that is too much 
of a learning curve for my mom and kids. This is a potential "show-stopper"
in getting folks to migrate from MS Word to LibreOffice.
Comment 10 Mike Kaganski 2018-05-18 16:02:07 UTC
https://gerrit.libreoffice.org/54552
Comment 11 Commit Notification 2018-05-20 11:17:19 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db04be037b611e296ef9f2542322c52ed82d7a2b

tdf#35798: Hide empty Database fields' paragraphs (+ compat option)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Mike Kaganski 2018-05-25 12:05:20 UTC
https://gerrit.libreoffice.org/54800
Comment 13 Commit Notification 2018-05-25 13:07:15 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f11ce0670749b9da20dfb29269b176cb09fb01e

tdf#35798: use separate paragraphs for Label elements

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.